Subject: bug#45795: prolog-mode prolog-system switch bug - also with run-prolog

From: [email-masked]
Date: Tue, 12 Jan 2021 20:10:44 +0530

I have also noticed that this affects the `run-prolog` function in a way not affected by my previous patch.
In `run-prolog` function `prolog-ensure-process` is called after switching to the *prolog* buffer using `prolog-goto-prolog-process-buffer`. So my previous patch which deals with `prolog-ensure-process` will not affect this. I do not know how to rectify this due to the presence of SICStus-Prolog specific code that seems to be working in *prolog* buffer. If I moved `prolog-ensure-process` call before switching to *prolog* buffer, something SICStus might break. I have never worked with SICStus so I am not sure how to deal with this.